ambari-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Dmitro Lisnichenko" <dlysniche...@hortonworks.com>
Subject Review Request 35522: After installing new repo version, some packages are installed from non-current repository under Centos 6
Date Tue, 16 Jun 2015 15:37:45 GMT

-----------------------------------------------------------
This is an automatically generated e-mail. To reply, visit:
https://reviews.apache.org/r/35522/
-----------------------------------------------------------

Review request for Ambari, Alejandro Fernandez, Jonathan Hurley, and Nate Cole.


Bugs: AMBARI-11955
    https://issues.apache.org/jira/browse/AMBARI-11955


Repository: ambari


Description
-------

STR:
Install HDFS+ZK on HDP-2.3
add a newer repo version
add YARN+TEZ+PIG
PIG installation fails with

OSError: [Errno 2] No such file or directory: '/usr/hdp/current/pig-client/conf'


The issue here is that only latest version of Pig package has been installed. It was installed
as a dependency for a datafu. Datafu package has no asterisk in service metainfo definition,
and since datafu is a virtual package, only the latest version is installed. Latter checks
for pig_2_3_* show that (some) Pig package is already installed, and no futher checks are
performed


Diffs
-----

  ambari-server/src/main/resources/stacks/HDP/2.3/services/PIG/metainfo.xml 515f6fe 

Diff: https://reviews.apache.org/r/35522/diff/


Testing
-------

manual check on live cluster


Thanks,

Dmitro Lisnichenko


Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message